Index: /trunk/SophyaPI/PIGcont/Makefile
===================================================================
--- /trunk/SophyaPI/PIGcont/Makefile	(revision 2833)
+++ /trunk/SophyaPI/PIGcont/Makefile	(revision 2834)
@@ -78,4 +78,5 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)dlftypes.h \
   $(SOPHYAINCP)piacmd.h \
@@ -117,4 +118,5 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
Index: /trunk/SophyaPI/PIext/Makefile
===================================================================
--- /trunk/SophyaPI/PIext/Makefile	(revision 2833)
+++ /trunk/SophyaPI/PIext/Makefile	(revision 2834)
@@ -11,9 +11,10 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libPI.objlist
  
-$(SOPHYAOBJP)basexecut.o: basexecut.cc $(SOPHYAINCP)sopnamsp.h piacmd.h \
+$(SOPHYAOBJP)basexecut.o: basexecut.cc \
+  $(SOPHYAINCP)sopnamsp.h piacmd.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -24,8 +25,10 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h basexecut.h \
-  $(SOPHYAINCP)strutilxx.h pistdimgapp.h \
-  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h \
+  basexecut.h $(SOPHYAINCP)strutilxx.h \
+  pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -33,5 +36,6 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -44,5 +48,6 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -65,37 +70,50 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h pisiadw.h \
-  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pi3dwdg.h \
+  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
+  pisiadw.h $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h servnobjm.h nomgadapter.h \
-  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)resusage.h servnobjm.h \
+  nomgadapter.h $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)histos2.h $(SOPHYAINCP)hisprof.h \
-  $(SOPHYAINCP)ntuple.h
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)hisprof.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)datatable.h \
+  $(SOPHYAINCP)basedtable.h \
+  $(SOPHYAINCP)segdatablock.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  basexecut.cc
  
-$(SOPHYAOBJP)contmodex.o: contmodex.cc $(SOPHYAINCP)sopnamsp.h \
-  contmodex.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h piacmd.h \
+$(SOPHYAOBJP)contmodex.o: contmodex.cc \
+  $(SOPHYAINCP)sopnamsp.h contmodex.h \
+  $(SOPHYAINCP)machdefs.h piacmd.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -106,5 +124,7 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
   $(SOPHYAINCP)pigncont.h \
@@ -116,5 +136,6 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -127,5 +148,6 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -148,14 +170,20 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h \
+  $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h \
-  $(SOPHYAINCP)pisiadw.h $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)nobjmgr.h \
+  $(SOPHYAINCP)piacmd.h \
+  $(SOPHYAINCP)pisiadw.h \
+  $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
@@ -163,5 +191,6 @@
   $(SOPHYAINCP)resusage.h \
   $(SOPHYAINCP)piscdrawwdg.h \
-  $(SOPHYAINCP)ntuple.h $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)gp_contour.h \
   $(SOPHYAINCP)gp_types.h \
@@ -171,19 +200,24 @@
   $(SOPHYAINCP)gp_alloc.h nomgadapter.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h servnobjm.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  contmodex.cc
  
-$(SOPHYAOBJP)cxxexecutor.o: cxxexecutor.cc $(SOPHYAINCP)sopnamsp.h \
-  cxxexecutor.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h piacmd.h \
+$(SOPHYAOBJP)cxxexecutor.o: cxxexecutor.cc \
+  $(SOPHYAINCP)sopnamsp.h cxxexecutor.h \
+  $(SOPHYAINCP)machdefs.h piacmd.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -194,5 +228,7 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
   $(SOPHYAINCP)strutilxx.h \
@@ -200,30 +236,38 @@
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h pistdimgapp.h \
   $(SOPHYAINCP)piapplx.h \
@@ -248,9 +292,11 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)piimage.h $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)piimage.h \
+  $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h \
+  $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -261,9 +307,10 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cxxexecutor.cc
  
-$(SOPHYAOBJP)cxxexecwin.o: cxxexecwin.cc $(SOPHYAINCP)sopnamsp.h \
-  cxxexecutor.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h piacmd.h \
+$(SOPHYAOBJP)cxxexecwin.o: cxxexecwin.cc \
+  $(SOPHYAINCP)sopnamsp.h cxxexecutor.h \
+  $(SOPHYAINCP)machdefs.h piacmd.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -274,13 +321,16 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h cxxexecwin.h \
-  $(SOPHYAINCP)pisysdep.h pistdimgapp.h \
-  $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
+  cxxexecwin.h $(SOPHYAINCP)pisysdep.h \
+  pistdimgapp.h $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -293,5 +343,6 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -314,12 +365,15 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h \
+  $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -330,9 +384,10 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cxxexecwin.cc
  
-$(SOPHYAOBJP)flowmodex.o: flowmodex.cc $(SOPHYAINCP)sopnamsp.h \
-  flowmodex.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h piacmd.h \
+$(SOPHYAOBJP)flowmodex.o: flowmodex.cc \
+  $(SOPHYAINCP)sopnamsp.h flowmodex.h \
+  $(SOPHYAINCP)machdefs.h piacmd.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -343,7 +398,10 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h pi2dvec.h \
-  pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
+  pi2dvec.h pistdimgapp.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -351,5 +409,6 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -362,5 +421,6 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -383,12 +443,15 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h \
+  $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -398,21 +461,27 @@
   $(SOPHYAINCP)resusage.h \
   $(SOPHYAINCP)piscdrawwdg.h \
-  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)ntuple.h \
-  nomgadapter.h $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)ntuple.h nomgadapter.h \
+  $(SOPHYAINCP)generalfit.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h servnobjm.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  flowmodex.cc
  
-$(SOPHYAOBJP)graphexecut.o: graphexecut.cc $(SOPHYAINCP)sopnamsp.h \
-  piacmd.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
+$(SOPHYAOBJP)graphexecut.o: graphexecut.cc \
+  $(SOPHYAINCP)sopnamsp.h piacmd.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -423,8 +492,10 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h graphexecut.h \
-  $(SOPHYAINCP)strutilxx.h pistdimgapp.h \
-  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h \
+  graphexecut.h $(SOPHYAINCP)strutilxx.h \
+  pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -432,5 +503,6 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -443,5 +515,6 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -464,14 +537,17 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h pisiadw.h \
-  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pi3dwdg.h \
+  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
+  pisiadw.h $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
@@ -480,12 +556,17 @@
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)piyfxdrw.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)piyfxdrw.h \
   $(SOPHYAINCP)pibargraph.h \
   $(SOPHYAINCP)pitxtdrw.h
@@ -495,6 +576,5 @@
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)datatypes.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h nobjmgr.h \
+  $(SOPHYAINCP)machdefs.h nobjmgr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -504,35 +584,46 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)mutyv.h dlftypes.h servnobjm.h \
-  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)zthread.h \
-  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h dlftypes.h \
+  servnobjm.h $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)zthread.h nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h pistdimgapp.h \
   $(SOPHYAINCP)piapplx.h \
@@ -557,9 +648,11 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)piimage.h $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)piimage.h \
+  $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h \
+  $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h piacmd.h \
   $(SOPHYAINCP)commander.h \
@@ -595,11 +688,12 @@
   $(SOPHYAINCP)piyfxdrw.h \
   $(SOPHYAINCP)pisurfdr.h pipodrw.h \
-  $(SOPHYAINCP)histos2.h $(SOPHYAINCP)histos.h \
-  pintuple.h pintup3d.h pigfd1.h pigfd2.h
+  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)histos.h pintuple.h pintup3d.h \
+  pigfd1.h pigfd2.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nobjmgr.cc
  
-$(SOPHYAOBJP)nomgadapter.o: nomgadapter.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h nomgadapter.h \
+$(SOPHYAOBJP)nomgadapter.o: nomgadapter.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h nomgadapter.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -611,129 +705,164 @@
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomgadapter.cc
  
-$(SOPHYAOBJP)nomgfdadapter.o: nomgfdadapter.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h nomgfdadapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+$(SOPHYAOBJP)nomgfdadapter.o: nomgfdadapter.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h nomgfdadapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h pipodrw.h \
-  $(SOPHYAINCP)histos2.h $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfitter.h \
-  $(SOPHYAINCP)cimage.h $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)hisprof.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomgfdadapter.cc
  
-$(SOPHYAOBJP)nomhistadapter.o: nomhistadapter.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h nomhistadapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+$(SOPHYAOBJP)nomhistadapter.o: nomhistadapter.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h nomhistadapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)histos2.h $(SOPHYAINCP)hisprof.h \
-  $(SOPHYAINCP)histerr.h $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)hisprof.h \
+  $(SOPHYAINCP)histerr.h \
+  $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
-  $(SOPHYAINCP)segdatablock.h pihisto.h pihisto2d.h \
-  $(SOPHYAINCP)pimenux.h \
+  $(SOPHYAINCP)segdatablock.h pihisto.h \
+  pihisto2d.h $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -750,9 +879,11 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)pieldrw.h pipodrw.h servnobjm.h nobjmgr.h \
-  dlftypes.h $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)pieldrw.h pipodrw.h \
+  servnobjm.h nobjmgr.h dlftypes.h \
+  $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)objfitter.h \
-  $(SOPHYAINCP)cimage.h $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)fitsntuple.h \
   $(SOPHYAINCP)fitsfile.h \
